# This file was generated by running 'miaxml2nipype.py /build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/doc/mia-2dimagecombiner.xml /build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_2dimagecombiner.py'
# '/build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_2dimagecombiner.py' can be created by running 'mia-2dimagecombiner --help-xml >/build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_2dimagecombiner.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dimagecombiner_InputSpec(CommandLineInputSpec):
	in_file_1 = traits.File( desc="""first input image to be combined""", argstr="--in-file-1 %s", exists=True , mandatory = True )
	in_file_2 = traits.File( desc="""second input image to be combined""", argstr="--in-file-2 %s", exists=True , mandatory = True )
	operation = traits.String( desc="""operation to be applied""", argstr="--operation %s" )
	verbose = traits.Enum("trace", "debug", "info", "message", "warning", "fail", "error", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output image(s) that have been filtered", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_2dimagecombiner_OutputSpec(TraitedSpec):
	out_file = File(desc="output image(s) that have been filtered", exists = True )


#
# Task class specification
#
class mia_2dimagecombiner(CommandLine):
	input_spec = mia_2dimagecombiner_InputSpec
	output_spec = mia_2dimagecombiner_OutputSpec
	_cmd = "mia-2dimagecombiner"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dimagecombiner()
	print( mia_prog.cmdline)
