# This file was generated by running 'miaxml2nipype.py /build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/doc/mia-2dimagecreator.xml /build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_2dimagecreator.py'
# '/build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_2dimagecreator.py' can be created by running 'mia-2dimagecreator --help-xml >/build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_2dimagecreator.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dimagecreator_InputSpec(CommandLineInputSpec):
	size = traits.ListInt( desc="""size of the object""", argstr="--size %s", sep=",")
	repn = traits.Enum("bit", "sbyte", "ubyte", "sshort", "ushort", "sint", "uint", "slong", "ulong", "float", "double", "none",  desc="""input pixel type """, argstr="--repn %s" )
	object = traits.String( desc="""object to be created""", argstr="--object %s" , mandatory = True )
	verbose = traits.Enum("trace", "debug", "info", "message", "warning", "fail", "error", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output file for create object", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_2dimagecreator_OutputSpec(TraitedSpec):
	out_file = File(desc="output file for create object", exists = True )


#
# Task class specification
#
class mia_2dimagecreator(CommandLine):
	input_spec = mia_2dimagecreator_InputSpec
	output_spec = mia_2dimagecreator_OutputSpec
	_cmd = "mia-2dimagecreator"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dimagecreator()
	print( mia_prog.cmdline)
