# This file was generated by running 'miaxml2nipype.py /build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/doc/mia-2dmyopgt-nonrigid.xml /build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_2dmyopgt_nonrigid.py'
# '/build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_2dmyopgt_nonrigid.py' can be created by running 'mia-2dmyopgt-nonrigid --help-xml >/build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_2dmyopgt_nonrigid.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dmyopgt_nonrigid_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input perfusion data set""", argstr="--in-file %s", exists=True , mandatory = True )
	registered = traits.String( desc="""file name base for registered files, the image file type is the same as given in the input data set""", argstr="--registered %s" )
	alpha = traits.Float( desc="""spacial neighborhood penalty weight""", argstr="--alpha %f" )
	beta = traits.Float( desc="""temporal second derivative penalty weight""", argstr="--beta %f" )
	rho_thresh = traits.Float( desc="""correlation threshold for neighborhood analysis""", argstr="--rho-thresh %f" )
	skip = traits.Int( desc="""skip images at the beginning of the series e.g. because as they are of other modalities""", argstr="--skip %d" )
	optimizer = traits.String( desc="""Optimizer used for minimization""", argstr="--optimizer %s" )
	start_c_rate = traits.Float( desc="""start coefficinet rate in spines, gets divided by --c-rate-divider with every pass""", argstr="--start-c-rate %f" )
	c_rate_divider = traits.Float( desc="""cofficient rate divider for each pass""", argstr="--c-rate-divider %f" )
	start_divcurl = traits.Float( desc="""start divcurl weight, gets divided by --divcurl-divider with every pass""", argstr="--start-divcurl %f" )
	divcurl_divider = traits.Float( desc="""divcurl weight scaling with each new pass""", argstr="--divcurl-divider %f" )
	imageweight = traits.Float( desc="""image cost weight""", argstr="--imageweight %f" )
	mg_levels = traits.Int( desc="""multi-resolution levels""", argstr="--mg-levels %d" )
	passes = traits.Int( desc="""registration passes""", argstr="--passes %d" )
	verbose = traits.Enum("trace", "debug", "info", "message", "warning", "fail", "error", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output perfusion data set", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_2dmyopgt_nonrigid_OutputSpec(TraitedSpec):
	out_file = File(desc="output perfusion data set", exists = True )


#
# Task class specification
#
class mia_2dmyopgt_nonrigid(CommandLine):
	input_spec = mia_2dmyopgt_nonrigid_InputSpec
	output_spec = mia_2dmyopgt_nonrigid_OutputSpec
	_cmd = "mia-2dmyopgt-nonrigid"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dmyopgt_nonrigid()
	print( mia_prog.cmdline)
