# This file was generated by running 'miaxml2nipype.py /build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/doc/mia-2dsegshift.xml /build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_2dsegshift.py'
# '/build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_2dsegshift.py' can be created by running 'mia-2dsegshift --help-xml >/build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_2dsegshift.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dsegshift_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input segmentation set""", argstr="--in-file %s", exists=True , mandatory = True )
	image_file = traits.String( desc="""output image filename base""", argstr="--image-file %s" )
	shift = traits.ListFloat( desc="""shift of segmentation""", argstr="--shift %s", sep=",")
	skip = traits.Int( desc="""skip frames at the beginning""", argstr="--skip %d" )
	verbose = traits.Enum("trace", "debug", "info", "message", "warning", "fail", "error", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="input segmentation set", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_2dsegshift_OutputSpec(TraitedSpec):
	out_file = File(desc="input segmentation set", exists = True )


#
# Task class specification
#
class mia_2dsegshift(CommandLine):
	input_spec = mia_2dsegshift_InputSpec
	output_spec = mia_2dsegshift_OutputSpec
	_cmd = "mia-2dsegshift"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dsegshift()
	print( mia_prog.cmdline)
