# This file was generated by running 'miaxml2nipype.py /build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/doc/mia-2dseries-mincorr.xml /build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_2dseries_mincorr.py'
# '/build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_2dseries_mincorr.py' can be created by running 'mia-2dseries-mincorr --help-xml >/build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_2dseries_mincorr.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dseries_mincorr_InputSpec(CommandLineInputSpec):
	in_set = traits.File( desc="""input segmentation set""", argstr="--in-set %s", exists=True , mandatory = True )
	skip = traits.Int( desc="""skip images at beginning of series""", argstr="--skip %d" )
	verbose = traits.Enum("trace", "debug", "info", "message", "warning", "fail", "error", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_set = File(desc="output image of minimal correlation", argstr="--out-set %s" , mandatory = True )

#
# Output specification
#
class mia_2dseries_mincorr_OutputSpec(TraitedSpec):
	out_set = File(desc="output image of minimal correlation", exists = True )


#
# Task class specification
#
class mia_2dseries_mincorr(CommandLine):
	input_spec = mia_2dseries_mincorr_InputSpec
	output_spec = mia_2dseries_mincorr_OutputSpec
	_cmd = "mia-2dseries-mincorr"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_set']=os.path.abspath(self.inputs.out_set)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dseries_mincorr()
	print( mia_prog.cmdline)
