# This file was generated by running 'miaxml2nipype.py /build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/doc/mia-3dcombine-imageseries.xml /build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_3dcombine_imageseries.py'
# '/build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_3dcombine_imageseries.py' can be created by running 'mia-3dcombine-imageseries --help-xml >/build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_3dcombine_imageseries.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dcombine_imageseries_InputSpec(CommandLineInputSpec):
	operation = traits.Enum("mean", "max", "add",  desc="""Operation to be applied when combining the images""", argstr="--operation %s" )
	repn = traits.Enum("bit", "sbyte", "ubyte", "sshort", "ushort", "sint", "uint", "slong", "ulong", "float", "double", "none",  desc="""Output pixel representation (if not given, then the representation of the first input image will be used""", argstr="--repn %s" )
	verbose = traits.Enum("trace", "debug", "info", "message", "warning", "fail", "error", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output file that contains the combined image.", argstr="--out-file %s" , mandatory = True )
	free_params = traits.ListStr(desc="Plug-in specifications of type 3dimage/io", argstr="%s")
#
# Output specification
#
class mia_3dcombine_imageseries_OutputSpec(TraitedSpec):
	out_file = File(desc="output file that contains the combined image.", exists = True )


#
# Task class specification
#
class mia_3dcombine_imageseries(CommandLine):
	input_spec = mia_3dcombine_imageseries_InputSpec
	output_spec = mia_3dcombine_imageseries_OutputSpec
	_cmd = "mia-3dcombine-imageseries"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dcombine_imageseries()
	print( mia_prog.cmdline)
