# This file was generated by running 'miaxml2nipype.py /build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/doc/mia-3dfuzzysegment.xml /build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_3dfuzzysegment.py'
# '/build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_3dfuzzysegment.py' can be created by running 'mia-3dfuzzysegment --help-xml >/build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_3dfuzzysegment.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dfuzzysegment_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input image(s) to be segmenetd""", argstr="--in-file %s", exists=True , mandatory = True )
	no_of_classes = traits.Int( desc="""number of classes""", argstr="--no-of-classes %d" )
	residuum = traits.Float( desc="""relative residuum""", argstr="--residuum %f" )
	verbose = traits.Enum("trace", "debug", "info", "message", "warning", "fail", "error", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	cls_file = File(desc="output class probability images. Note, the used file format must support multible images (best is to use vista)", argstr="--cls-file %s" )
	b0_file = File(desc="image corrected for intensity non-uniformity", argstr="--b0-file %s" )

#
# Output specification
#
class mia_3dfuzzysegment_OutputSpec(TraitedSpec):
	cls_file = File(desc="output class probability images. Note, the used file format must support multible images (best is to use vista)")
	b0_file = File(desc="image corrected for intensity non-uniformity")


#
# Task class specification
#
class mia_3dfuzzysegment(CommandLine):
	input_spec = mia_3dfuzzysegment_InputSpec
	output_spec = mia_3dfuzzysegment_OutputSpec
	_cmd = "mia-3dfuzzysegment"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['cls_file']=os.path.abspath(self.inputs.cls_file)
		outputs['b0_file']=os.path.abspath(self.inputs.b0_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dfuzzysegment()
	print( mia_prog.cmdline)
