# This file was generated by running 'miaxml2nipype.py /build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/doc/mia-3dmaskseeded.xml /build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_3dmaskseeded.py'
# '/build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_3dmaskseeded.py' can be created by running 'mia-3dmaskseeded --help-xml >/build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_3dmaskseeded.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dmaskseeded_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input image(s) to be filtered""", argstr="--in-file %s", exists=True , mandatory = True )
	seed = traits.ListInt( desc="""seed point""", argstr="--seed %s", sep=",")
	neighborhood = traits.String( desc="""neighborhood shape""", argstr="--neighborhood %s" )
	verbose = traits.Enum("trace", "debug", "info", "message", "warning", "fail", "error", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output image(s) that have been filtered", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_3dmaskseeded_OutputSpec(TraitedSpec):
	out_file = File(desc="output image(s) that have been filtered", exists = True )


#
# Task class specification
#
class mia_3dmaskseeded(CommandLine):
	input_spec = mia_3dmaskseeded_InputSpec
	output_spec = mia_3dmaskseeded_OutputSpec
	_cmd = "mia-3dmaskseeded"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dmaskseeded()
	print( mia_prog.cmdline)
