# This file was generated by running 'miaxml2nipype.py /build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/doc/mia-labelsort.xml /build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_labelsort.py'
# '/build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_labelsort.py' can be created by running 'mia-labelsort --help-xml >/build/mia-cAkXeJ/mia-2.4.6/obj-riscv64-linux-gnu/src/mia_labelsort.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_labelsort_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input file name containing the histogram""", argstr="--in-file %s", exists=True , mandatory = True )
	verbose = traits.Enum("trace", "debug", "info", "message", "warning", "fail", "error", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output file name to store probabilities", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_labelsort_OutputSpec(TraitedSpec):
	out_file = File(desc="output file name to store probabilities", exists = True )


#
# Task class specification
#
class mia_labelsort(CommandLine):
	input_spec = mia_labelsort_InputSpec
	output_spec = mia_labelsort_OutputSpec
	_cmd = "mia-labelsort"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_labelsort()
	print( mia_prog.cmdline)
